### File

`projects/ngui-common/src/lib/ngui-list/src/ngui-list.directive.ts`

### Metadata

selector | `ngui-list`

### Index

###### Properties
Public element
###### Outputs
escaped selected

### Constructor

`constructor(element: ElementRef)`
Defined in projects/ngui-common/src/lib/ngui-list/src/ngui-list.directive.ts:15
Parameters :
Name | Type | Optional
element | `ElementRef` | no

### Outputs

`escaped` | Fired when `ESC` key is pressed from `<ngui-list-item>` `$event` type: `EventEmitter<any>`
Defined in projects/ngui-common/src/lib/ngui-list/src/ngui-list.directive.ts:15

`selected` | Fired when child `<ngui-list-item>` is selected `$event` type: `EventEmitter<any>`
Defined in projects/ngui-common/src/lib/ngui-list/src/ngui-list.directive.ts:13

### Properties

Public element
`element: `ElementRef``
Type : `ElementRef`
Defined in projects/ngui-common/src/lib/ngui-list/src/ngui-list.directive.ts:17

    import {
      Directive,
      ElementRef,
      EventEmitter,
      Output
    } from '@angular/core';

    @Directive({
      selector: 'ngui-list' // tslint:disable-line
    })
    export class NguiListDirective {
      /** Fired when child `<ngui-list-item>` is selected */
      @Output() selected: EventEmitter<any> = new EventEmitter();
      /** Fired when `ESC` key is pressed from `<ngui-list-item>` */
      @Output() escaped: EventEmitter<any> = new EventEmitter();

      constructor(public element: ElementRef) { }
    }

# results matching ""

# No results matching ""